Update member role
curl --request PATCH \
--url https://platform.usewarp.net/api/organizations/{id}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://platform.usewarp.net/api/organizations/{id}/members/{memberId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.usewarp.net/api/organizations/{id}/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"email": "jsmith@example.com",
"onboarding_completed": true,
"is_admin": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>"
}
}
}{
"error": "<string>",
"details": [
{}
]
}{
"error": "<string>",
"details": [
{}
]
}{
"error": "<string>",
"details": [
{}
]
}Organizations
Update member role
Update a member’s role in an organization
PATCH
/
api
/
organizations
/
{id}
/
members
/
{memberId}
Update member role
Authorizations
JWT Bearer token authentication
Body
application/json
New role for the member
Available options:
admin, member Response
Member role updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

